Summary: The shared library for the S-Lang extension language.
Name: slang
Version: 1.4.4
Release: 1
Group: Libraries
Copyright: GPL
Url: http://space.mit.edu/~davis/slang.html
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://space.mit.edu/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-root

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package devel
Summary: The static library and header files for development using S-Lang.
Group: Development/Libraries
Requires: slang = %{version}

%description devel
This package contains the S-Lang extension language static libraries
and header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.


%prep
%setup -q


%build
CFLAGS=$RPM_OPT_FLAGS ./configure i386-linux \
	--prefix=/usr --includedir=/usr/include/slang
make elf all


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/include/slang
make install-elf install \
	prefix=$RPM_BUILD_ROOT/usr \
	install_include_dir=$RPM_BUILD_ROOT/usr/include/slang
strip $RPM_BUILD_ROOT/usr/lib/libslang.so.*
chmod 755 $RPM_BUILD_ROOT/usr/lib/libslang.so.*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING* COPYRIGHT INSTALL.unx NEWS README UPGRADE.txt changes.txt
/usr/lib/libslang.so.*

%files devel
%defattr(-,root,root)
%doc demo doc examples
/usr/include/slang
/usr/lib/libslang.a
/usr/lib/libslang.so


%clean
rm -rf $RPM_BUILD_ROOT

